﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls.Diagrams.Extensions.ViewModels;
using Telerik.Windows.Diagrams.Core;

namespace MindMapWithLoadFromXML
{
    public class Link : LinkViewModelBase<GraphNode>, ILink<GraphNode>
    {
        public LinkType Type { get; set; }

        public Link() : base()
        {

        }

        public Link(bool visibility)
            : base()
        {
            Visibility = System.Windows.Visibility.Hidden;
        }

        public Link(GraphNode source, GraphNode target) : base(source,target)
        {

        }

        public string ID { get; set; }

        
    }

    public enum LinkType
    {
        Typ1,
        Typ2,
        Typ3
    }
}
