﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MindMapSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        string xml = "";
        public MainWindow()
        {
            InitializeComponent();
            LoadData();
        }

        private void LoadData() 
        {
            MindMapWithLoadFromXML.MyGraphSource source = new MindMapWithLoadFromXML.MyGraphSource();
            source.PopulateGraphSource();
            xDiagram.GraphSource = source;
            xDiagram.AutoFitAsync(new Thickness(0));
            xDiagram.Background = Brushes.AliceBlue;
            xDiagram.LayoutAsync();
        }

        private void butSave_Click(object sender, RoutedEventArgs e)
        {
            xml = xDiagram.Save();
        }

        private void butLoad_Click(object sender, RoutedEventArgs e)
        {
            this.xDiagram.Load(xml);
        }

        private void butClear_Click(object sender, RoutedEventArgs e)
        {
            xDiagram.Clear();
        }
    }

    
}
